get
https://api.accelevents.com/rest/cache/events//session//portal
Using this API, you can get sessions details for an event. This API will get data from the cache.
You need to send eventurl as a path parameter.
This API can pass Authentication as an optional header parameter. If the token is passed and you are event admin/staff then it will bring all hidden/private sessions also otherwise it will return only public/visible sessions only.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Here is the description of response attributes, which returns to the form of JSON.
| Attributes | Description |
|---|---|
| accelEventsStudio | Identify if session stream provider is accelevents studio, then it's true. If session stream provider is accelevents RTMP, it's false. |
| capacity | It's returns the capacity in number for session to allow maximum number of user can join. |
| description | It contains the description of the session. It's only 65024 Characters are allowed to add description. |
| directVideoAutoStart | If returns true, session video start automatically when enter into session. |
| displayDonation | Is return true or false value for display donation button for session. |
| endTime | It contains the session's end time in the yyyy/MM/dd HH:mm format. |
| format | It's returns the session format. Can set when create session. There are seven type of session can create that contains MAIN_STAGE, BREAKOUT_SESSION, MEET_UP, WORKSHOP, EXPO, BREAK, OTHER. |
| location | It's contains location of session. |
| sessionId | The sessionId represents the unique ID of each session. It will be generated automatically when a new session is created. |
| speakerList | It's returns the list of speakers that associated with session. It's contains speaker details like speakerId, firatName, lastName, photoUrl and other. |
| startTime | It contains the session's starting time in the yyyy/MM/dd HH:mm format. |
| status | It's contains the session status type, there are two type of session visibility : VISIBLE, HIDDEN. Visible status will show in session list and hidden status will do not show in session list. |
| streamProvider | It's identify session stream provider, it can be ACCELEVENTS, WISTIA, YOUTUBE, VIMEO, FACEBOOK, ZOOM, DIRECT_UPLOAD. |
| streamUrl | It's a session stream endpoint. |
| tags | It's contains tags for session. |
| title | It contains the title of the session. |
| tracks | It contains the tracks details like ID, name, colour, description and position. It will filter session from all session. |
Here are the possible error messages, which return if any condition gets failed or required data is missing for processing.
| Error Code | Error Description |
|---|---|
| 400 | The request could not be understood by the server due to malformed syntax. |
| 401 | You are not authorized to view the resource. |
| 403 | Accessing the resource you were trying to reach is forbidden. |
| 404 | The resource you were trying to reach is not found. |
| 404800 | Session not found! |